<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.screen.mapper.ScreenControlMapper">

    <resultMap id="BaseResultMap" type="com.zksy.screen.domain.po.ScreenControl">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="url" column="url" jdbcType="VARCHAR"/>
            <result property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="state" column="state" jdbcType="TINYINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,url,device_id,
        state,create_time,update_time
    </sql>
</mapper>
